package com.eactive.eai.batch.rule.dirInfo;

import java.io.Serializable;



public class BatchJobPriorityVO implements Serializable
{

	private static final long serialVersionUID = 1L;

    private String uuid			   = "";
    private String bizCode         = "";
    private String processCd       = "";
    private String processName     = "";
    private String osdCd       	   = "";
    private String osdName         = "";
    private String fileName		   = "";
    private long   firstCallForDelayTime= 0;		//마지막 우선순위 작업의 시작시각
    private int    dataCount		= 0;
    private int	   dataCountInfo	= 1;			//기본값 1
    private boolean isexe = false;
    
    public String getBizCode() {
        return this.bizCode;
    }
    
    public void setBizCode(String bizCode) {
        this.bizCode = bizCode;
    }
    
    public String getProcessCd() {
        return this.processCd;
    }
    
    public void setProcessCd(String processCd) {
        this.processCd = processCd;
    }
    
    public String getProcessName() {
        return this.processName;
    }
    
    public void setProcessName(String processName) {
        this.processName = processName;
    }
    
    public String getOsdCd() {
        return this.osdCd;
    }
    
    public void setOsdCd(String osdCd) {
        this.osdCd = osdCd;
    }
    
    public String getOsdName() {
        return this.osdName;
    }
    
    public void setOsdName(String osdName) {
        this.osdName = osdName;
    }
    
    public String getFileName() {
        return this.fileName;
    }
    
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
    
    public String getUUID(){
    	return uuid;
    }
    
    public void setUUID(String id){
    	uuid = id;
    }
    
    public long getFirstCallForDelayTime(){
    	return firstCallForDelayTime;
    }
    
    public void setFirstCallForDelayTime(long ms){
    	firstCallForDelayTime = ms;
    }
    
    public boolean isExecuted(){
    	return isexe;
    }
    
    public void setExecutedFlag(boolean flag){
    	isexe = flag;
    }
    
    public void setDataCountInfo(int count){     	
    	this.dataCountInfo = count;
    }
    
    public int getDataCountInfo(){   	
    	return dataCountInfo;
   	
    }
    
    public void setDataCount(int count){     	
    	this.dataCount = count;
    }
    
    public int getDataCount(){   	
    	return dataCount;
   	
    }

}


